Package org.eclipse.birt.chart.model.impl

# Class ChartImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.impl.ChartImpl

All Implemented Interfaces:
  `Chart`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `ChartWithAxesImpl`, `ChartWithoutAxesImpl`

public class ChartImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Chart
An implementation of the model object ' Chart'.

The following features are implemented:

- `Version`
- `Type`
- `Sub Type`
- `Description`
- `Block`
- `Dimension`
- `Script`
- `Units`
- `Series Thickness`
- `Grid Column Count`
- `Extended Properties`
- `Sample Data`
- `Styles`
- `Interactivity`
- `Empty Message`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetBlock(Block newBlock, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetDescription(Text newDescription, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetEmptyMessage(Label newEmptyMessage, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInteractivity(Interactivity newInteractivity, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSampleData(SampleData newSampleData, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
`clearSections(int iSectionType)`
This method walks through the model and clears specific model sections that are not required at deployment time.
`Chart`
`copyInstance()`
`final void`
`createSampleRuntimeSeries()`
Builds runtime series instances for each design-time series based on the sample data contained in the model
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Block`
`getBlock()`
`Text`
`getDescription()`
`ChartDimension`
`getDimension()`
`Label`
`getEmptyMessage()`
`org.eclipse.emf.common.util.EList<ExtendedProperty>`
`getExtendedProperties()`
`int`
`getGridColumnCount()`
`Interactivity`
`getInteractivity()`
`final Legend`
`getLegend()`
Note: Manually written
`final Plot`
`getPlot()`
Note: Manually written
`SampleData`
`getSampleData()`
`String`
`getScript()`
`SeriesDefinition[]`
`getSeriesForLegend()`
This method returns all series whose captions/markers are to be rendered in the Legend content
`double`
`getSeriesThickness()`
`org.eclipse.emf.common.util.EList<StyleMap>`
`getStyles()`
`String`
`getSubType()`
`final TitleBlock`
`getTitle()`
Note: Manually written
`String`
`getType()`
`String`
`getUnits()`
`String`
`getVersion()`
`boolean`
`isSetDimension()`
`boolean`
`isSetGridColumnCount()`
`boolean`
`isSetSeriesThickness()`
`boolean`
`isSetVersion()`
`void`
`setBlock(Block newBlock)`
`void`
`setDescription(Text newDescription)`
`void`
`setDimension(ChartDimension newDimension)`
`void`
`setEmptyMessage(Label newEmptyMessage)`
`void`
`setGridColumnCount(int newGridColumnCount)`
`void`
`setInteractivity(Interactivity newInteractivity)`
`void`
`setSampleData(SampleData newSampleData)`
`void`
`setScript(String newScript)`
`void`
`setSeriesThickness(double newSeriesThickness)`
`void`
`setSubType(String newSubType)`
`void`
`setType(String newType)`
`void`
`setUnits(String newUnits)`
`void`
`setVersion(String newVersion)`
`String`
`toString()`
`void`
`unsetDimension()`
`void`
`unsetGridColumnCount()`
`void`
`unsetSeriesThickness()`
`void`
`unsetVersion()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getVersion

public String getVersion()

Specified by:
  `getVersion` in interface `Chart`
Returns:
  the value of the 'Version' attribute.
See Also:
  - `Chart.isSetVersion()`
  - `Chart.unsetVersion()`
  - `Chart.setVersion(String)`
  - `ModelPackage.getChart_Version()`

### setVersion

public void setVersion(String newVersion)

Specified by:
  `setVersion` in interface `Chart`
Parameters:
  `newVersion` - the new value of the 'Version' attribute.
See Also:
  - `Chart.isSetVersion()`
  - `Chart.unsetVersion()`
  - `Chart.getVersion()`

### unsetVersion

public void unsetVersion()

Specified by:
  `unsetVersion` in interface `Chart`
See Also:
  - `Chart.isSetVersion()`
  - `Chart.getVersion()`
  - `Chart.setVersion(String)`

### isSetVersion

public boolean isSetVersion()

Specified by:
  `isSetVersion` in interface `Chart`
Returns:
  whether the value of the 'Version' attribute is set.
See Also:
  - `Chart.unsetVersion()`
  - `Chart.getVersion()`
  - `Chart.setVersion(String)`

### getType

public String getType()

Specified by:
  `getType` in interface `Chart`
Returns:
  the value of the 'Type' attribute.
See Also:
  - `Chart.setType(String)`
  - `ModelPackage.getChart_Type()`

### setType

public void setType(String newType)

Specified by:
  `setType` in interface `Chart`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `Chart.getType()`

### getSubType

public String getSubType()

Specified by:
  `getSubType` in interface `Chart`
Returns:
  the value of the 'Sub Type' attribute.
See Also:
  - `Chart.setSubType(String)`
  - `ModelPackage.getChart_SubType()`

### setSubType

public void setSubType(String newSubType)

Specified by:
  `setSubType` in interface `Chart`
Parameters:
  `newSubType` - the new value of the 'Sub Type' attribute.
See Also:
  - `Chart.getSubType()`

### getDescription

public Text getDescription()

Specified by:
  `getDescription` in interface `Chart`
Returns:
  the value of the 'Description' containment reference.
See Also:
  - `Chart.setDescription(Text)`
  - `ModelPackage.getChart_Description()`

### basicSetDescription

public org.eclipse.emf.common.notify.NotificationChain basicSetDescription(Text newDescription, org.eclipse.emf.common.notify.NotificationChain msgs)

### setDescription

public void setDescription(Text newDescription)

Specified by:
  `setDescription` in interface `Chart`
Parameters:
  `newDescription` - the new value of the 'Description' containment reference.
See Also:
  - `Chart.getDescription()`

### getBlock

public Block getBlock()

Specified by:
  `getBlock` in interface `Chart`
Returns:
  the value of the 'Block' containment reference.
See Also:
  - `Chart.setBlock(Block)`
  - `ModelPackage.getChart_Block()`

### basicSetBlock

public org.eclipse.emf.common.notify.NotificationChain basicSetBlock(Block newBlock, org.eclipse.emf.common.notify.NotificationChain msgs)

### setBlock

public void setBlock(Block newBlock)

Specified by:
  `setBlock` in interface `Chart`
Parameters:
  `newBlock` - the new value of the 'Block' containment reference.
See Also:
  - `Chart.getBlock()`

### getDimension

public ChartDimension getDimension()

Specified by:
  `getDimension` in interface `Chart`
Returns:
  the value of the 'Dimension' attribute.
See Also:
  - `ChartDimension`
  - `Chart.isSetDimension()`
  - `Chart.unsetDimension()`
  - `Chart.setDimension(ChartDimension)`
  - `ModelPackage.getChart_Dimension()`

### setDimension

public void setDimension(ChartDimension newDimension)

Specified by:
  `setDimension` in interface `Chart`
Parameters:
  `newDimension` - the new value of the 'Dimension' attribute.
See Also:
  - `ChartDimension`
  - `Chart.isSetDimension()`
  - `Chart.unsetDimension()`
  - `Chart.getDimension()`

### unsetDimension

public void unsetDimension()

Specified by:
  `unsetDimension` in interface `Chart`
See Also:
  - `Chart.isSetDimension()`
  - `Chart.getDimension()`
  - `Chart.setDimension(ChartDimension)`

### isSetDimension

public boolean isSetDimension()

Specified by:
  `isSetDimension` in interface `Chart`
Returns:
  whether the value of the 'Dimension' attribute is set.
See Also:
  - `Chart.unsetDimension()`
  - `Chart.getDimension()`
  - `Chart.setDimension(ChartDimension)`

### getScript

public String getScript()

Specified by:
  `getScript` in interface `Chart`
Returns:
  the value of the 'Script' attribute.
See Also:
  - `Chart.setScript(String)`
  - `ModelPackage.getChart_Script()`

### setScript

public void setScript(String newScript)

Specified by:
  `setScript` in interface `Chart`
Parameters:
  `newScript` - the new value of the 'Script' attribute.
See Also:
  - `Chart.getScript()`

### getUnits

public String getUnits()

Specified by:
  `getUnits` in interface `Chart`
Returns:
  the value of the 'Units' attribute.
See Also:
  - `Chart.setUnits(String)`
  - `ModelPackage.getChart_Units()`

### setUnits

public void setUnits(String newUnits)

Specified by:
  `setUnits` in interface `Chart`
Parameters:
  `newUnits` - the new value of the 'Units' attribute.
See Also:
  - `Chart.getUnits()`

### getSeriesThickness

public double getSeriesThickness()

Specified by:
  `getSeriesThickness` in interface `Chart`
Returns:
  the value of the 'Series Thickness' attribute.
See Also:
  - `Chart.isSetSeriesThickness()`
  - `Chart.unsetSeriesThickness()`
  - `Chart.setSeriesThickness(double)`
  - `ModelPackage.getChart_SeriesThickness()`

### setSeriesThickness

public void setSeriesThickness(double newSeriesThickness)

Specified by:
  `setSeriesThickness` in interface `Chart`
Parameters:
  `newSeriesThickness` - the new value of the 'Series Thickness' attribute.
See Also:
  - `Chart.isSetSeriesThickness()`
  - `Chart.unsetSeriesThickness()`
  - `Chart.getSeriesThickness()`

### unsetSeriesThickness

public void unsetSeriesThickness()

Specified by:
  `unsetSeriesThickness` in interface `Chart`
See Also:
  - `Chart.isSetSeriesThickness()`
  - `Chart.getSeriesThickness()`
  - `Chart.setSeriesThickness(double)`

### isSetSeriesThickness

public boolean isSetSeriesThickness()

Specified by:
  `isSetSeriesThickness` in interface `Chart`
Returns:
  whether the value of the 'Series Thickness' attribute is set.
See Also:
  - `Chart.unsetSeriesThickness()`
  - `Chart.getSeriesThickness()`
  - `Chart.setSeriesThickness(double)`

### getGridColumnCount

public int getGridColumnCount()

Specified by:
  `getGridColumnCount` in interface `Chart`
Returns:
  the value of the 'Grid Column Count' attribute.
See Also:
  - `Chart.isSetGridColumnCount()`
  - `Chart.unsetGridColumnCount()`
  - `Chart.setGridColumnCount(int)`
  - `ModelPackage.getChart_GridColumnCount()`

### setGridColumnCount

public void setGridColumnCount(int newGridColumnCount)

Specified by:
  `setGridColumnCount` in interface `Chart`
Parameters:
  `newGridColumnCount` - the new value of the 'Grid Column Count' attribute.
See Also:
  - `Chart.isSetGridColumnCount()`
  - `Chart.unsetGridColumnCount()`
  - `Chart.getGridColumnCount()`

### unsetGridColumnCount

public void unsetGridColumnCount()

Specified by:
  `unsetGridColumnCount` in interface `Chart`
See Also:
  - `Chart.isSetGridColumnCount()`
  - `Chart.getGridColumnCount()`
  - `Chart.setGridColumnCount(int)`

### isSetGridColumnCount

public boolean isSetGridColumnCount()

Specified by:
  `isSetGridColumnCount` in interface `Chart`
Returns:
  whether the value of the 'Grid Column Count' attribute is set.
See Also:
  - `Chart.unsetGridColumnCount()`
  - `Chart.getGridColumnCount()`
  - `Chart.setGridColumnCount(int)`

### getExtendedProperties

public org.eclipse.emf.common.util.EList<ExtendedProperty> getExtendedProperties()

Specified by:
  `getExtendedProperties` in interface `Chart`
Returns:
  the value of the 'Extended Properties' containment reference list.
See Also:
  - `ModelPackage.getChart_ExtendedProperties()`

### getSampleData

public SampleData getSampleData()

Specified by:
  `getSampleData` in interface `Chart`
Returns:
  the value of the 'Sample Data' containment reference.
See Also:
  - `Chart.setSampleData(SampleData)`
  - `ModelPackage.getChart_SampleData()`

### basicSetSampleData

public org.eclipse.emf.common.notify.NotificationChain basicSetSampleData(SampleData newSampleData, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSampleData

public void setSampleData(SampleData newSampleData)

Specified by:
  `setSampleData` in interface `Chart`
Parameters:
  `newSampleData` - the new value of the 'Sample Data' containment reference.
See Also:
  - `Chart.getSampleData()`

### getStyles

public org.eclipse.emf.common.util.EList<StyleMap> getStyles()

Specified by:
  `getStyles` in interface `Chart`
Returns:
  the value of the 'Styles' containment reference list.
See Also:
  - `ModelPackage.getChart_Styles()`

### getInteractivity

public Interactivity getInteractivity()

Specified by:
  `getInteractivity` in interface `Chart`
Returns:
  the value of the 'Interactivity' containment reference.
See Also:
  - `Chart.setInteractivity(Interactivity)`
  - `ModelPackage.getChart_Interactivity()`

### basicSetInteractivity

public org.eclipse.emf.common.notify.NotificationChain basicSetInteractivity(Interactivity newInteractivity, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInteractivity

public void setInteractivity(Interactivity newInteractivity)

Specified by:
  `setInteractivity` in interface `Chart`
Parameters:
  `newInteractivity` - the new value of the 'Interactivity' containment reference.
See Also:
  - `Chart.getInteractivity()`

### getEmptyMessage

public Label getEmptyMessage()

Specified by:
  `getEmptyMessage` in interface `Chart`
Returns:
  the value of the 'Empty Message' containment reference.
See Also:
  - `Chart.setEmptyMessage(Label)`
  - `ModelPackage.getChart_EmptyMessage()`

### basicSetEmptyMessage

public org.eclipse.emf.common.notify.NotificationChain basicSetEmptyMessage(Label newEmptyMessage, org.eclipse.emf.common.notify.NotificationChain msgs)

### setEmptyMessage

public void setEmptyMessage(Label newEmptyMessage)

Specified by:
  `setEmptyMessage` in interface `Chart`
Parameters:
  `newEmptyMessage` - the new value of the 'Empty Message' containment reference.
See Also:
  - `Chart.getEmptyMessage()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getLegend

public final Legend getLegend()
Note: Manually written

Specified by:
  `getLegend` in interface `Chart`
Returns:
  Legend

### getPlot

public final Plot getPlot()
Note: Manually written

Specified by:
  `getPlot` in interface `Chart`
Returns:
  Plot

### getTitle

public final TitleBlock getTitle()
Note: Manually written

Specified by:
  `getTitle` in interface `Chart`
Returns:
  TitleBlock

### getSeriesForLegend

public SeriesDefinition[] getSeriesForLegend()
Description copied from interface: `Chart`
This method returns all series whose captions/markers are to be rendered in the Legend content

Specified by:
  `getSeriesForLegend` in interface `Chart`
Returns:
  SeriesDefinition array

### clearSections

public void clearSections(int iSectionType)
Description copied from interface: `Chart`
This method walks through the model and clears specific model sections that are not required at deployment time.

Specified by:
  `clearSections` in interface `Chart`
Parameters:
  `iSectionType` - Possible values are IConstants.RUN_TIME and IConstants.USER_INTERFACE

### createSampleRuntimeSeries

public final void createSampleRuntimeSeries()
Description copied from interface: `Chart`
Builds runtime series instances for each design-time series based on the sample data contained in the model

Specified by:
  `createSampleRuntimeSeries` in interface `Chart`

### copyInstance

public Chart copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `IChartObject`